﻿<AML>
 <Item type="Method" id="98E4C048AF7B407F8DAECC50278B0CC2" action="add">
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			acc_AP_bulk_cb_change
Created By		:		SolidCAD 
Creation Date:			2018-01-23
Description:
	When Cash/Bank Account change in Bulk Receivable,get Currency,acc_operator,Rate and Balance of choosing Cash/Bank Account and set.
	
Hooks:
	Type:	Form	:	Acc_AccountPayable
	Event:	acc_cash_account ( onChange )

Revisions:
	Rev Date		Modified By			Description
	YYYY-MM-DD		$username$			Initial creation
***************************************************************************** */

//debugger;
var myInnovator = new Innovator();

var thisItem = document.thisItem;
var currency_total_amount = "0.00";
var _id_header = top.aras.getItemProperty(document.item, 'id');
var acc_cash_account = top.aras.getItemProperty(document.item, 'acc_cash_account');
var acc_date = top.aras.getItemProperty(document.item, 'acc_date');
var acc_total_payment = top.aras.getItemProperty(document.item, 'acc_total_payment');
var acc_is_bulk_payment = top.aras.getItemProperty(document.item, 'acc_is_bulk_payment');

if (acc_cash_account !== "") {
    var acc_accountdetails_qry = myInnovator.newItem("acc_AccountDetails", "get");
    acc_accountdetails_qry.setProperty("id", acc_cash_account);
    var acc_accountdetails_qry_result = acc_accountdetails_qry.apply();
    var acc_accountdetails_qry_count = acc_accountdetails_qry_result.getItemCount();
    if (acc_accountdetails_qry_count > 0) {
        var acc_accountdetails_result = acc_accountdetails_qry_result.getItemByIndex(0);
        var id = acc_accountdetails_result.getProperty("id", "");
        var acc_currency = acc_accountdetails_qry_result.getProperty("acc_currency", "");
        var acc_amount = acc_accountdetails_qry_result.getProperty("acc_amount", "");

        var currency_result = myInnovator.applyMethod("acc_currency_info", "<currency_id>" + acc_currency + "</currency_id><currency_date>" + acc_date + "</currency_date>");

        var currency_count = currency_result.getItemCount();
        if (currency_count > 0) {
            var currency_code = currency_result.getProperty("acc_currencycode", "");
            if ((parseFloat(acc_total_payment) > parseFloat(acc_amount)) && acc_is_bulk_payment == "1") {

                alert("Cash/Bank Amount not enough!");
            }
            handleItemChange("acc_currency", acc_currency);
            handleItemChange("acc_cash_balance", acc_amount);
            handleItemChange("acc_rate", currency_result.getProperty("acc_monthly_rate", ""));
            handleItemChange("acc_operator", currency_result.getProperty("acc_operator", ""));

            if (currency_result.getProperty("acc_isdefault", "") == "1") {
                handleItemChange("acc_currency_default", 1);
            } else {
                handleItemChange("acc_currency_default", 0);
            }

        }
        var ap_edit = myInnovator.newItem("Acc_AccountPayable_Detail", "edit");
        ap_edit.setAttribute("where", "source_id='" + _id_header + "'");
        ap_edit.setProperty("acc_ap_cashbook", acc_cash_account);
        ap_edit = ap_edit.apply();
        document.thisItem.setAttribute("isDirty", "1");
    }
}]]></method_code>
  <method_type>JavaScript</method_type>
  <name>acc_AP_bulk_cb_change</name>
 </Item>
</AML>